HDF: AArch64 support

Bug #1296303 reported by Matthias Klose on 2014-03-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro AArch64 cross-distro work
Undecided
Unassigned
Fedora
Fix Released
Undecided
libhdf4 (Ubuntu)
Undecided
Unassigned

Bug Description

added AArch64 support to libhdf4. would be nice if somebody could review it (see the hdfi.h patch) in the Ubuntu package.

Support for the ARM 64 bit CPU architecture (aarch64) was introduced in
autoconf 2.69. hdf appears to use an earlier version of
autoconf, preventing its being built. This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/hdf/hdf-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Fixed with %configure macro change.

Matthias Klose (doko) on 2014-03-23
tags: added: arm64
Marcin Juszkiewicz (hrw) wrote :

Does it pass hdf testsuite?

Marcin Juszkiewicz (hrw) wrote :

For those who will discuss with upstream:

===============
Hello Marcin,

I discussed your build issue with HDF4 on ARM 64-bit. As mentioned,
this is not something we support currently, and it requires
software changes to get it working.

I went ahead and entered an enhancement report for the issue, in
case we can work on it in the future. For your reference, the
report is HDFFR-1453.

Thanks!

-Barbara

=================
Barbara Jones
The HDF Helpdesk

The HDF Group
<email address hidden>
=================

Marcin Juszkiewicz (hrw) wrote :

Took me a while but I got it pass most of testsuite.

Still fails on ncgen:

=============================
Running ncgen tests
=============================
*** test1.cdl 2014-06-24 16:51:49.538376787 +0200
--- test2.cdl 2014-06-24 16:51:49.548375870 +0200
***************
*** 50,56 ****

   cross =
    4, 5, 0.000244140625,
! 7, 8, 10000000000 ;

   i = 10, 20 ;

--- 50,56 ----

   cross =
    4, 5, 0.000244140625,
! 7, 8, 2147483647 ;

   i = 10, 20 ;

*** ncgen -b test failed ***
*** ncgen -c test successful ***
=============================
ncgen tests failed: 1
=============================

But it is much better than it was with my first or Matthias' patch.

Marcin Juszkiewicz (hrw) on 2014-06-24
summary: - added AArch64 support to libhdf4
+ HDF: AArch64 support

Created attachment 911805
patch + spec changes

%configure macro solved only config.{guess,sub} problem which was very minor.

This patch adds AArch64 support so it builds and passes most of testsuite. I am waiting for upstream response.

tags: added: patch
Marcin Juszkiewicz (hrw) wrote :

I have newer version which passes all tests. Need to clean and rebuild before publishing.

Created attachment 911963
v4 of patch

This is final patchset (same as given yesterday on irc).

Marcin Juszkiewicz (hrw) wrote :

final version

Created attachment 911969
v4.1 of patch

previous version mentioned s391x architecture which is not released yet ;D

Marcin Juszkiewicz (hrw) wrote :

previous version mentioned s391x architecture which is not released yet ;D

Looks good, thanks.

Johan Van de Wauw (johanvdw) wrote :

Note that this issue was resolved in debian:
version 4.2.10-2 includes a patch based on Marcins patch.

Daniel Holbach (dholbach) wrote :

This bug was fixed in the package libhdf4 - 4.2.10-3
Sponsored for Johan Van de Wauw (johanvdw)

---------------
libhdf4 (4.2.10-3) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * Fix endianness definition for ppc64el.

  [ Johan Van de Wauw ]
  * Disable tests on s390x (closes: #764353)
  * Remove unneeded build dep groff

 -- Johan Van de Wauw <email address hidden> Tue, 21 Oct 2014 00:37:41 +0200

libhdf4 (4.2.10-2) unstable; urgency=medium

  * Add build-time checks
  * Fix wrong endianness s390x/mips(closes: #761603)
  * Fix ncgen test errors on arm64 (based on fedora changes)
  * Fix documentation paths
  * Add lintian override for spurious svn conflict files
  * Remove duplicate binary control fields
  * Add debian/source/format
  * Fix short descriptions, bump standards version
  * Clarify which version of the GPL applies to the debian packaging
  * Remove obsolete document prerm/postinst

 -- Johan Van de Wauw <email address hidden> Sun, 05 Oct 2014 21:14:40 +0200

libhdf4 (4.2.10-1) unstable; urgency=medium

  * Add support for GNU Hurd
  * Fix kfreebsd-64 bit

 -- Johan Van de Wauw <email address hidden> Sat, 13 Sep 2014 20:45:47 +0200

libhdf4 (4.2.10-1~exp1) experimental; urgency=medium

  * Add watchfile
  * Imported Upstream version 4.2.10
  * Fix vcs link
  * Fix package synopsis length
  * Rewrite control file using cme
  * Fix debian/control.in to match debian/control
  * Use original source tarball rather than a tarball containing this tarball
  * Don't copy configufiles to fmpool (dir no longer exists)
  * Import ubuntu patches changes by doko (closes: #684361,#742421)
  * Add rsync as build-dep
  * Use libtoolize and autoreconf (closes: #639720,#744613)
  * Set debhelper version to 9
  * Bump standards version
  * Copy sources using own bash script
  * enable hardening
  * Fix String literals
  * add Mips64(el) support (closes: #753493)
  * Add myself to uploaders

 -- Johan Van de Wauw <email address hidden> Thu, 14 Aug 2014 22:19:24 +0200

Changed in libhdf4 (Ubuntu):
status: New → Fix Released
Changed in fedora:
importance: Unknown → Undecided
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.